import { MigrationInterface, QueryRunner, Table } from "typeorm";

export class ResetToken1732358596823 implements MigrationInterface {
  name = "ResetToken1732358596823";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.createTable(
      new Table({
        name: "reset",
        columns: [
          { name: "mail", type: "varchar", length: "255", isPrimary: true, isNullable: false },
          { name: "token", type: "varchar", length: "255", isNullable: false },
          { name: "username", type: "varchar", length: "255", isNullable: false },
          { name: "secret", type: "varchar", length: "255", isNullable: false },
        ],
      }),
      true
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropTable("reset");
  }
}
